# ApplicationFramework
TKLCAF
TDF

# TDF_DataMapIteratorOfLabelLabelMap Class Reference

`#include <TDF_DataMapIteratorOfLabelLabelMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_DataMapIteratorOfLabelLabelMap ()
Standard_EXPORT | TDF_DataMapIteratorOfLabelLabelMap (const TDF_LabelLabelMap &aMap)
Standard_EXPORT void | Initialize (const TDF_LabelLabelMap &aMap)
Standard_EXPORT const TDF_Label & | Key () const
Standard_EXPORT const TDF_Label & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT TDF_DataMapIteratorOfLabelLabelMap::TDF_DataMapIteratorOfLabelLabelMap | ( |  | ) |

Standard_EXPORT TDF_DataMapIteratorOfLabelLabelMap::TDF_DataMapIteratorOfLabelLabelMap | ( | const TDF_LabelLabelMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TDF_DataMapIteratorOfLabelLabelMap::Initialize | ( | const TDF_LabelLabelMap & | aMap | ) |

Standard_EXPORT const TDF_Label& TDF_DataMapIteratorOfLabelLabelMap::Key | ( |  | ) | const

void TDF_DataMapIteratorOfLabelLabelMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_DataMapIteratorOfLabelLabelMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_DataMapIteratorOfLabelLabelMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TDF_Label& TDF_DataMapIteratorOfLabelLabelMap::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- TDF_DataMapIteratorOfLabelLabelMap.hxx